<div class="container spacer">
    <div class="panel panel-primary">
        <div class="panel-heading"><strong>Liste des medicaments</strong></div>
        <div class="panel-body">
            <div class="form-group">
                <label>Mot clé:</label>
                <input type="text" [(ngModel)]="motCle" />
                <button class="btn btn-primary" (click)="Chercher()">Chercher</button>
            </div>
            <table class="table table-striped lg">
                <tr>
                    <th>id</th>
                    <th>nom</th>
                    <th class="cp">composition</th>
                    <th class="ci">contre indication</th>
                    <th class="effet">effet</th>
                    <th class="cf">code famille</th>
                    <th>prix</th>   
                    <th class="act"></th>
                    <th class="act"></th> 
                </tr>
                <!-- BOUCLE LES RESULTATS en typescrypt (let item of items) -->
                <tr *ngFor="let m of pageMedicaments?.content">
                     <td>{{m.id}}</td>
                     <td>{{m.nom}}</td>
                     <td>{{m.composition}}</td>
                     <td>{{m.contreIndic}}</td>
                     <td>{{m.effet}}</td> 
                     <td>{{m.famCode}}</td> 
                     <td>{{m.prix}}</td> 
                     <td>
                         <a (click)="onEditMedicament(m.id)" class="clickable">Edit</a>
                     </td>
                     <td>
                         <a (click)="onDeleteMedicament(m)" class="clickable">Delete</a>
                     </td>
                </tr>
            </table>
            <!-- PAGINATION -->
            <div class="container pag">
                <ul class="nav nav-pills pagin">
                    <li [ngClass]="{'active':i==currentPage}" *ngFor="let p of pages; let i=index">
                        <button class="btn btn-dark spa" (click)="goToPage(i)">{{i}}</button>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>

